Ubu: 1. Install Java

Graphlytic requires Java to be installed. For required version see Requirements. If you have installed required version you can skip installation of Java.

You can test whether you have the correct Java platform by running from command line:

$ java -version
java version "1.8.0_65"
Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
Java HotSpot(TM) Client VM (build 25.65-b01, mixed mode, sharing) 

1. Install Java

(for Ubuntu 14.04 LTS, 12.04 LTS and 10.04)

$ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer
$ sudo apt-get install oracle-java8-set-default

2. Confirm that Java Works

Once the steps above have been done, it should be possible to check of java version and see output similar to this:

$ java -version
java version "1.8.0_65"
Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
Java HotSpot(TM) Client VM (build 25.65-b01, mixed mode, sharing)